/*
 * This file is part of LibServerGS, which is a GameScript for OpenTTD
 * Copyright (C) 2012-2013  Leif Linse
 *
 * LibServerGS is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * LibServerGS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LibServerGS; If not, see <http://www.gnu.org/licenses/> or
 * write to the Free Software Foundation, Inc., 51 Franklin Street, 
 * Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

require("version.nut");

class FMainClass extends GSLibrary {
	function GetAuthor()		{ return "Zuu"; }
	function GetName()			{ return "LibServerGS"; }
	function GetDescription() 	{ return "This GS lib give admin port clients access to the GS API"; }
	function GetVersion()		{ return SELF_VERSION; }
	function GetDate()			{ return "2013-12-21"; }
	function CreateInstance()	{ return "LibServerGS"; }
	function GetCategory()      { return "Util"; }
	function GetShortName()		{ return "LSGS"; } // Lib Server GS
	function GetAPIVersion()	{ return "1.3"; }
	function GetURL()			{ return "http://www.tt-forums.net/viewtopic.php?f=65&t=68828"; }
}

RegisterLibrary(FMainClass());
